Summary: Tools for creating virtual consoles
Name: open
Version: 1.4
Release: 3
Copyright: GPL
Group: Utilities/Console
Source: ftp://sunsite.unc.edu/pub/Linux/utils/console/open-1.4.tar.gz
Patch: open-1.4-includes.patch
BuildRoot: /var/tmp/open-root
Summary(de): Tools zum Erstellen virtueller Konsolen
Summary(fr): Outils pour crer des consoles virtuelles
Summary(tr): Sanal konsol yaratmak iin aralar

%description
This program runs a command on an given virtual console number. It can
also run the program on the first virtual console which isn't already
in use.

%description -l de
Dieses Programm fhrt einen Befehl auf eine angegebene virtuelle Konsolennummer
aus. Es ist auch mglich, den Befehl auf die erste, noch nicht in Gebrauch befindliche
Konsole auszufhren.

%description -l fr
Ce programme excute une commande sur un numro de console donn. il
peut aussi excuter le programme sur la premire console virtuelle qui
n'est pas encore utilise.

%description -l tr
Bu program sayesinde bir kullanc istedii sanal konsolda bir program
koturabilir. stenirse program kullanmda olmayan ilk sanal konsolda
altrlabilir.

%prep
%setup -q
%patch -p1

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,man/man1}

make BINDIR=$RPM_BUILD_ROOT/usr/bin MANDIR=$RPM_BUILD_ROOT/usr/man/man1 install

strip $RPM_BUILD_ROOT/usr/bin/{open,switchto}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/open
/usr/bin/switchto
/usr/man/man1/open.1
/usr/man/man1/switchto.1

%changelog
* Tue Aug 11 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Oct 20 1997 Otto Hammersmith <otto@redhat.com>
- updated version
- changed source url to ftp://...
- fixed braindeadness with NAME_MAX

* Tue Jun 17 1997 Erik Troan <ewt@redhat.com>
- built against glibc
